> ## Documentation Index
> Fetch the complete documentation index at: https://help-center.relyable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List agents

> List all agents



## OpenAPI

````yaml GET /agents
openapi: 3.0.3
info:
  title: tRPC OpenAPI
  version: 1.0.0
servers:
  - url: https://app.relyable.ai/api
security: []
paths:
  /agents:
    get:
      tags:
        - agents
      summary: List agents
      description: List all agents
      operationId: agents-list
      parameters:
        - in: query
          name: workspaceId
          schema:
            type: string
            minLength: 1
        - in: query
          name: name
          schema:
            type: string
        - in: query
          name: provider
          schema:
            type: string
            enum:
              - VAPI
              - RETELL
              - TIXAE
              - ELEVENLABS
        - in: query
          name: page
          schema:
            type: number
            minimum: 1
            default: 1
        - in: query
          name: limit
          schema:
            type: number
            minimum: 1
            maximum: 100
            default: 20
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      total:
                        type: number
                      page:
                        type: number
                      limit:
                        type: number
                      pageCount:
                        type: number
                    required:
                      - total
                      - page
                      - limit
                      - pageCount
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        provider:
                          type: string
                          enum:
                            - VAPI
                            - RETELL
                            - TIXAE
                            - ELEVENLABS
                        type:
                          type: string
                          nullable: true
                          enum:
                            - INBOUND
                            - OUTBOUND
                            - null
                        promptType:
                          type: string
                          nullable: true
                          enum:
                            - SINGLE
                            - MULTIPLE
                            - null
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                          nullable: true
                        created_at:
                          type: string
                        updated_at:
                          type: string
                        apiKey:
                          type: string
                        assistantId:
                          type: string
                        createdByUserId:
                          type: string
                        deletedAt:
                          type: string
                          nullable: true
                        language:
                          type: string
                          nullable: true
                        phoneNumber:
                          type: string
                          nullable: true
                        prompt:
                          type: string
                          nullable: true
                        workspaceId:
                          type: string
                          nullable: true
                        callMonitoring:
                          type: boolean
                        isUsingDefaultApiKey:
                          type: boolean
                          nullable: true
                        webhookUrl:
                          type: string
                          nullable: true
                        phoneNumberId:
                          type: string
                          nullable: true
                        webhookSecret:
                          type: string
                          nullable: true
                      required:
                        - provider
                        - type
                        - promptType
                        - id
                        - name
                        - created_at
                        - updated_at
                        - apiKey
                        - assistantId
                        - createdByUserId
                        - deletedAt
                        - language
                        - phoneNumber
                        - prompt
                        - workspaceId
                        - callMonitoring
                        - isUsingDefaultApiKey
                        - webhookUrl
                        - phoneNumberId
                        - webhookSecret
                required:
                  - meta
                  - data
                additionalProperties: {}
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````